import React from "react";
import { PasubotClient, Session, User } from "pasubot-js-v2";
import { AuthType, CharSet, SocialLoginType } from "./utils/enum";
interface AuthenticationProps {
    pasubot: PasubotClient;
    className?: string;
    authType?: AuthType;
    resetSuccess?: () => void;
    setPasswordSuccess?: () => void;
    userData: (data: {
        user?: User;
        session?: Session;
    }) => void;
    enableSignUp: boolean;
    socialLoginTypes?: SocialLoginType[];
    /**
* Enable any one (setPassword and resetPassword)
* both false signIn page will be visible
*/
    resetPassword?: boolean;
    /**
* Enable any one (setPassword and resetPassword)
* both false signIn page will be visible
*/
    setPassword?: boolean;
    /**
  * User token for setPassword and resetPassword
  */
    userToken?: string;
    passwordConfig?: {
        passwordLength: number;
        passWordType?: CharSet;
    };
}
export declare const PasubotAuthUI: React.FC<AuthenticationProps>;
export default PasubotAuthUI;
//# sourceMappingURL=index.d.ts.map